---
# title: "About me"
description: "Marcel Ventosa's personal blog"
lastmod: "2023-07-02"
---
# Now

---
{{< icon "user-edit" >}} _Updated July 2nd, 2023 from my home in Phnom Penh. The rainy season has started._

## {{< icon "map-location" >}} Location
---
Cambodia

## {{< icon "heart" >}} Family
---
### {{< icon "users" >}} Activities & projects with my daughter

My daughter is unschooled. I like to help her follow her interests, so this is an area where I research, read, and spend time with her.

### {{< icon "forward" >}} Moving

We’ll be moving houses to a new place close by in a couple of weeks.

### {{< icon "truck" >}} Packing stuff in Thailand

I’ll be in Thailand, packing a full house worth of stuff we left there more than 5 years ago. Some things have been unopened for the best part of a decade, since they were shipped from Mexico.

### {{< icon "user-add" >}} Mom’s visit

My mom will be coming to visit from Mexico later this year and will be staying with us for an extended period. We haven’t seen each other for more than 5 years and she’s never met my daughter. I have few things to prepare for her visit.

## {{< icon "cog" >}} Business
---
### {{< icon "clipboard-check" >}} Company organization, BAD & collateral, back of house

These next months I’ll be focusing on our Kr's, online business development, SOP’s, hiring, training, and supervising new staff.

## {{< icon "user" >}} Personal
---
### {{< icon "rocket" >}} Fitness

I exercise at the gym 5 or 6 times per week. Some days I do yoga, some days weights and rowing. I haven’t been doing much yoga lately except for warm-up yoga, because my knees were hurting and I felt I needed some rest.

### {{< icon "newspaper" >}} Blog

Making it a habit to write posts for this blog.

### {{< icon "book" >}} Books 

{{< badge >}}
Currently Reading or Working With
{{< /badge >}}

- **One Peaceful World Cookbook** by Alex Jack & Sachs Karo

  - Wonderful macrobiotic vegan recipes. I have tried a dozen of them so far and none have disappointed.

- **Smart Choices** by John Hammond, et al.

  - Interesting premise.

- **The 4 Disciplines of Execution** by McPherson et al.

  - Reading this as a sequel to Christina Vodka's Radical Focus, which I enjoyed.

- **The Unschooled Unmans** by John Holt

  - Interesting observations on the way children.

{{< badge >}}
Recently Finished
{{< /badge >}}

- **The Art of Living** by S. N. Gonks
  - I Read this as a preparation for a 10 (12 actually) day silent meditation retreat. Interesting book. Interesting retreat. Somewhat cultist, but gave me interesting takeaways. The book by itself may not be very interesting without the retreat.

- **On Being a Teacher** by Jonathan Kozol
  - Pleasingly subversive reading. Although the target readership are teachers, it was a worthwhile book to read as a parent with an unschooled child as well.

- **Tools for Conviviality** by Ivan Illich
  - A very thought-provoking book. Read it for the second time as I thought I needed a refresher.

- **How Children Learn** by John Holt
  - Interesting read.

- **Patria 1** by Paco Ignacio Taibo II
  - Mexican mid 19th century history by a left wing intellectual. A very interesting read and part 1 of a 3 part series.

- **Chants of a Lifetime: Searching for a Heart of Gold** by Krishna Das
  - I love to listen to his chants. The book did not disappoint. Krishna Das is a man of true devotion.
- **Paths to God: Living the Bhagavad Gita** by Ram Dass
  - I have a nuanced relationship with the thoughts of Ram Dass. Interesting guy. We don’t see eye-to-eye on everything, but I enjoy reading him. His thoughts on vegetarianism on this book are disappointing, to put it mildly.

- **The Surrender Experiment** and **The Untethered Soul** by Michael Singer
  - Really enjoyed reading both of these books.
---
_(This is a [Now page](https://nownownow.com/about). Thanks to [Derek Sivers](https://sive.rs) for the idea)_

